#include<iostream>
using namespace std;
long long n, l, h, sol;
bool b = 1;
int main(){
    cin >> n >> l;
    for(int i = 1; i <= n; i++){
        cin >> h;
        if(h <= l){
            b = 0;
            sol = i;
            break;
        }
    }
    if(b == 1){
        sol = -1;
        cout << sol << '\n';
    } 
    else  cout << sol << '\n';
    return 0;
}